Edit database master credentials
curl --request PUT \
--url https://api.qovery.com/database/{databaseId}/masterCredentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"login": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.qovery.com/database/{databaseId}/masterCredentials"
payload = {
"login": "<string>",
"password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({login: '<string>', password: '<string>'})
};
fetch('https://api.qovery.com/database/{databaseId}/masterCredentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"host": "<string>",
"port": 123,
"login": "<string>",
"password": "<string>"
}Database Main Calls
Edit database master credentials
PUT
/
database
/
{databaseId}
/
masterCredentials
Edit database master credentials
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Database ID
Was this page helpful?
⌘I